## asedriveiiie 1.9

=== ASEDriveIIIeSerial1.9/Makefile ===
CC      = gcc 
CFLAGS  = -Wall -I. `pkg-config --cflags libpcsclite` -I/usr/local/include/PCSC -I/usr/local/include/  
LD      = ld
OBJS    = serial.o atr.o DriverIO.o CommandTypes.o ReaderCommands.o T1Protocol.o MemoryCards.o InitCardParams.o ifdhandler.o
LIBNAME = libase_drive.so

all: lib

lib: $(OBJS)
	$(LD) -shared $(OBJS) -o $(LIBNAME) -lpthread

clean:
	rm -f $(OBJS) *.so *~ main

=== ASEDriveIIIeUSB1.9/Makefile ===

CC= gcc
CFLAGS= -Wall -I. `pkg-config --cflags libpcsclite` -I/usr/local/include/PCSC -I/usr/local/include 


targets= usb.o atr.o DriverIO.o CommandTypes.o ReaderCommands.o T1Protocol.o MemoryCards.o InitCardParams.o ifdhandler.o


all: $(targets)
	$(CC) -lusb -shared -o ./ifd-AseIIIeUSB.bundle/Contents/Linux/ifd-AseIIIeUSB $(targets)


clean:
	rm -f $(targets) *~ ./ifd-AseIIIeUSB.bundle/Contents/Linux/ifd-AseIIIeUSB

## asedriveiiie 2.2

=== Makefile ===

CC= gcc
CFLAGS= -fPIC -D_REENTRANT -Wall -I. `pkg-config --cflags libpcsclite` -I/usr/local/include/PCSC -I/usr/local/include 


targets= usb.o atr.o DriverIO.o CommandTypes.o ReaderCommands.o T1Protocol.o MemoryCards.o InitCardParams.o ifdhandler.o


all: $(targets)
	$(CC) -lusb -shared -o ./ifd-AseIIIeUSB.bundle/Contents/Linux/ifd-AseIIIeUSB $(targets)


clean:
	rm -f $(targets) *~ ./ifd-AseIIIeUSB.bundle/Contents/Linux/ifd-AseIIIeUSB

## asedriveiiie 3.5

=== asedriveiiieusb/Makefile ===

include Makefile.inc

DRIVER_DIR=${DESTDIR}/${USBDROPDIR}/ifd-ASEDriveIIIe-USB.bundle

CC=${BUILD}-gcc

SOURCES=usb.c atr.c DriverIO.c CommandTypes.c ReaderCommands.c T1Protocol.c MemoryCards.c InitCardParams.c ifdhandler.c

all:	libASEDriveIIIe-USB.so

libASEDriveIIIe-USB.so: ${SOURCES}
	${CC} -o libASEDriveIIIe-USB.so ${SOURCES} -fPIC -D_REENTRANT -DIFDHANDLERv2 -Wall -I. ${CFLAGS} ${LDFLAGS} -lusb -shared

clean-all:	clean
	rm Makefile.inc || true

clean:
	rm -f *~ *.o *.so || true

install:	all
	install -c -d "${DRIVER_DIR}/Contents"
	install -c -m 0644 ifd-ASEDriveIIIe-USB.bundle/Contents/Info.plist ifd-ASEDriveIIIe-USB.bundle/Contents/PkgInfo "${DRIVER_DIR}/Contents"
	install -c -d "${DRIVER_DIR}/Contents/Resources/English.lproj"
	install -c -m 0644 ifd-ASEDriveIIIe-USB.bundle/Contents/Resources/English.lproj/InfoPlist.strings "${DRIVER_DIR}/Contents/Resources/English.lproj"
	install -c -d "${DRIVER_DIR}/Contents/Linux"
	install -c -m 0755 libASEDriveIIIe-USB.so "${DRIVER_DIR}/Contents/Linux"

## asedriveiiie 3.7

=== asedriveiiie-serial/Makefile ===

include Makefile.inc

DRIVER_DIR=${DESTDIR}/${USBDROPDIR}/ifd-ASEDriveIIIe-Serial

CC=${BUILD}-gcc

SOURCES=serial.c atr.c DriverIO.c CommandTypes.c ReaderCommands.c T1Protocol.c MemoryCards.c InitCardParams.c ifdhandler.c

all:	libASESerial.so etc

libASESerial.so: ${SOURCES}
	${CC} -o libASESerial.so ${SOURCES} -fPIC -D_REENTRANT -DIFDHANDLERv2 -Wall -I. ${CFLAGS} ${LDFLAGS} -shared

etc:	etc/reader.conf

etc/reader.conf:	etc/reader.conf.in
	sed "s#\%PCSC_DRIVERS_DIR\%#${USBDROPDIR}#g" < etc/reader.conf.in > etc/reader.conf

clean-all:	clean
	rm Makefile.inc || true

clean:
	rm -f *~ *.o *.so || true
	rm etc/reader.conf || true

install:	all
	install -c -d "${DRIVER_DIR}"
	install -c -m 0755 libASESerial.so "${DRIVER_DIR}"

=== asedriveiiie-usb/Makefile ===

include Makefile.inc

DRIVER_DIR=${DESTDIR}/${USBDROPDIR}/ifd-ASEDriveIIIe-USB.bundle

CC=${BUILD}-gcc

SOURCES=usb.c atr.c DriverIO.c CommandTypes.c ReaderCommands.c T1Protocol.c MemoryCards.c InitCardParams.c ifdhandler.c

all:	libASEDriveIIIe-USB.so

libASEDriveIIIe-USB.so: ${SOURCES}
	${CC} -o libASEDriveIIIe-USB.so ${SOURCES} -fPIC -D_REENTRANT -DIFDHANDLERv2 -Wall -I. ${CFLAGS} ${LDFLAGS} -lusb -shared

clean-all:	clean
	rm Makefile.inc || true

clean:
	rm -f *~ *.o *.so || true

install:	all
	install -c -d "${DRIVER_DIR}/Contents"
	install -c -m 0644 ifd-ASEDriveIIIe-USB.bundle/Contents/Info.plist ifd-ASEDriveIIIe-USB.bundle/Contents/PkgInfo "${DRIVER_DIR}/Contents"
	install -c -d "${DRIVER_DIR}/Contents/Resources/English.lproj"
	install -c -m 0644 ifd-ASEDriveIIIe-USB.bundle/Contents/Resources/English.lproj/InfoPlist.strings "${DRIVER_DIR}/Contents/Resources/English.lproj"
	install -c -d "${DRIVER_DIR}/Contents/Linux"
	install -c -m 0755 libASEDriveIIIe-USB.so "${DRIVER_DIR}/Contents/Linux"
	install -c -m 0644 50-pcscd-asedriveiiie.rules /etc/udev/rules.d/.

=== debian/changelog ===
asedriveiiie (3.7-8) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Ludovic Rousseau ]
  * d/control: add Rules-Requires-Root: no
  * d/control: use debhelper 13

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 13 Sep 2020 23:05:33 +0200

asedriveiiie (3.7-7) unstable; urgency=medium

  * d/control: Set Vcs-* to salsa.debian.org

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 24 Mar 2018 23:18:09 +0100

asedriveiiie (3.7-6) unstable; urgency=medium

  * Initial upstream branch.
  * New upstream version 3.7
  * Migrate the Debian packging from SVN to GIT
  * Upgrade debhelper from 7 to 10
  * Enable hardening=+all
  * Standards-Version: 3.9.5 -> 3.9.8. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 15 Dec 2017 15:18:19 +0100

asedriveiiie (3.7-5) unstable; urgency=medium

  * Fix "[INTL:it] Italian translation of debconf messages" add
    provided debian/po/it.po file (Closes: #737215)

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 02 Feb 2014 15:06:34 +0100

asedriveiiie (3.7-4) unstable; urgency=low

  * debian/watch: update upstream URL
  * debian/rules: hardening build
  * debian/control: Standards-Version: 3.9.2 -> 3.9.5. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 18 Jan 2014 12:19:27 +0100

asedriveiiie (3.7-3) unstable; urgency=low

  * Fix "[INTL:nl] Dutch translation of debconf templates" update
    debian/po/nl.po file (Closes: #659706)
  * Fix lintian warning: asedriveiiie source: quilt-patch-missing-description
    06_rules_file_install by adding DEP3 description
  * Fix lintian warning W: asedriveiiie source:
    debian-rules-missing-recommended-target build-arch
  * debian/control: Standards-Version: 3.9.1 -> 3.9.2. No change needed.
  * Fix lintian warning P: libasedrive-serial: maintainer-script-without-set-e
    config

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 14 Feb 2012 21:51:28 +0100

asedriveiiie (3.7-2) unstable; urgency=low

  * No need of debian/libasedrive-usb.{postinst,postrm} now that pcscd is
    auto-started. The /etc/init.d/pcscd script does nothing now.
  * debian/libasedrive-serial.{postinst,postrm}:
    - do not call update-reader.conf anymore since this script is no more in
    pcsc-lite >= 1.6.0
    - do not call invoke-rc.d pcscd anymore since it does nothing

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 09 Feb 2011 21:18:53 +0100

asedriveiiie (3.7-1) experimental; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 25 Sep 2010 17:18:02 +0200

asedriveiiie (3.5-5) experimental; urgency=low

  * Fix "FTBFS: ./configure: 49: pkg-config: not found" re-add the
    Build-Depends: pkg-config that was inadvertently removed in the previous
    version (Closes: #595641)

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 05 Sep 2010 17:03:15 +0200

asedriveiiie (3.5-4) experimental; urgency=low

  * convert from dpatch to Debian source format "3.0 (quilt)"
  * debian/control: Standards-Version: 3.8.3 -> 3.9.1. No change needed.
  * debian/control: remove reference to 1.2.0-stable-2 version of pcsc-lite.
    Debian stable (lenny) already has pcsc-lite 1.4.102
  * debian/patches/05_cold_reset: fix Ubuntu bug LP: #489115

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 03 Sep 2010 23:19:25 +0200

asedriveiiie (3.5-3) unstable; urgency=low

  * debian/control: Standards-Version: 3.6.3 => 3.8.3
    Use Homepage: field
    add debian/README.source (lintian warning patch-system-but-no-source-readme)
  * Fix "invalid-standards-version 3.6.3" use Standards-Version 3.8.3
    (Closes: #553567)
  * debian/libasedrive-serial.post{inst,rm}: do not use absolute filenames
    command-with-path-in-maintainer-script postinst:65
    /usr/sbin/update-reader.conf
    command-with-path-in-maintainer-script postrm:31
    /usr/sbin/update-reader.conf
  * use debhelper compat level 7 instead of (deprecated) 4
  * debian/rules: use /usr/share/dpatch/dpatch.make

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 01 Nov 2009 15:23:42 +0100

asedriveiiie (3.5-2) unstable; urgency=low

  * debian/watch: add a watch file
  * debian/control: Standards-Version: 3.6.2 -> 3.6.3. no change needed
  * debian/rules: do not ignore errors in clean and install rules
  * run debconf-updatepo
  * debian/patches/04_configure.dpatch: do not link the drivers with
    libpcsclite.so

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 05 Jan 2008 18:19:36 +0100

asedriveiiie (3.5-1) unstable; urgency=low

  * New upstream release
  * debian/po/es.po: update. Closes: #419206: "asedriveiiie: [INTL:es] Spanish
    po-debconf translation"

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 21 Apr 2007 16:47:34 +0200

asedriveiiie (3.4-1) unstable; urgency=low

  * New upstream version
  * debian/patches/04_ifdhandler_h.dpatch: add RESPONSECODE type in
    ifdhandler.h files. Closes: #415029
    "FTBFS: ifdhandler.h:119: error: expected '=',+',', ';', 'asm' or
    '__attribute__' before 'IFDHCreateChannel'"

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 15 Mar 2007 23:14:37 +0100

asedriveiiie (3.2-5) unstable; urgency=low

  * debian/po/ja.po: udate. Closes: #393586: "asedriveiiie: [INTL:ja] Updated
    Japanese po-debconf template translation (ja.po)"

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 17 Oct 2006 18:35:46 +0200

asedriveiiie (3.2-4) unstable; urgency=low

  * debian/po/pt.po: new file. Closes: #380673: [INTL:pt] Portuguese
    translation for asedriveiiie (debconf)
  * debian/rules: update the clean rule to remove the file generated by
    ./configure

 -- Ludovic Rousseau <rousseau@debian.org>  Tue,  1 Aug 2006 21:30:42 +0200

asedriveiiie (3.2-3) unstable; urgency=low

  * debian/libasedrive-serial.templates: use #flag:translate:5 to only
    translate "none"


=== debian/control ===
Source: asedriveiiie
Section: libs
Priority: optional
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Build-Depends: debhelper-compat (= 13), libusb-dev, libpcsclite-dev, pkg-config
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/debian/asedriveiiie.git
Vcs-Browser: https://salsa.debian.org/debian/asedriveiiie
Homepage: https://www.athena-scs.com/
Rules-Requires-Root: no

Package: libasedrive-usb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pcscd
Provides: pcsc-ifd-handler
Description: PC/SC driver for the Athena ASEDrive IIIe USB smart card reader
 This package provides a PC/SC IFD handler bundle for the Athena ASEDrive
 IIIe USB smart card readers.  This driver is necessary to use one of these
 devices with the PC/SC Lite resource manager (pcscd).

Package: libasedrive-serial
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pcscd
Provides: pcsc-ifd-handler
Description: PC/SC driver for the Athena ASEDrive IIIe serial smart card reader
 This package provides a PC/SC IFD handler bundle for the Athena ASEDrive
 IIIe serial smart card readers.  This driver is necessary to use one
 of these devices with the PC/SC Lite resource manager (pcscd).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# https://wiki.debian.org/Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	cd asedriveiiie-usb ; CFLAGS="$(CFLAGS) $(CPPFLAGS)" ./configure
	cd asedriveiiie-serial ; CFLAGS="$(CFLAGS) $(CPPFLAGS)" ./configure

override_dh_auto_build:
	$(MAKE) -C asedriveiiie-usb
	$(MAKE) -C asedriveiiie-serial

override_dh_auto_clean:
	rm -f build-stamp configure-stamp
	touch asedriveiiie-usb/Makefile.inc
	$(MAKE) -C asedriveiiie-usb clean
	touch asedriveiiie-serial/Makefile.inc
	$(MAKE) -C asedriveiiie-serial clean
	dh_auto_clean


USBDIR = $(CURDIR)/debian/libasedrive-usb/usr/lib/pcsc/drivers/
SERIALDIR = $(CURDIR)/debian/libasedrive-serial/usr/lib/pcsc/drivers/

# note that the Athena source package has no "make install" target; we have
# to kick all the files around ourselves.
override_dh_auto_install:
	dh_auto_install

	$(MAKE) -C asedriveiiie-usb install DESTDIR=`pwd`/debian/libasedrive-usb
	rm debian/libasedrive-usb/usr/lib/pcsc/drivers/ifd-ASEDriveIIIe-USB.bundle/Contents/PkgInfo
	rm -r debian/libasedrive-usb/usr/lib/pcsc/drivers/ifd-ASEDriveIIIe-USB.bundle/Contents/Resources
	$(MAKE) -C asedriveiiie-serial install DESTDIR=`pwd`/debian/libasedrive-serial
	cp asedriveiiie-usb/50-pcscd-asedriveiiie.rules debian/libasedrive-usb.udev

=== debian/watch ===
version=3
http://www.athena-scs.com/support/software-driver-downloads \
	/docs/reader-drivers/asedriveiiie-usb-(.*)-tar\.bz2
